local L = LibStub("AceLocale-3.0"):GetLocale("ExtGuildUI", true);

local ABOUT = {
    author = "Alex Ellison (Germbread - Deathwing-US)",
    email = GetAddOnMetadata("ExtGuildUI", "X-Email"),
    hosts = {
        "http://www.wowinterface.com/",
        "http://www.curse.com/",
    },
};

local CONFIG_SHOWN = false;

--========================================
-- Setting up the config frame
--========================================
function ExtGuildUIConfig_About_OnLoad(self)
    --self.name = L["ABOUT"];
    --self.parent = L["ADDON_TITLE"];
    self.name = L["ADDON_TITLE"];
    self.okay = function(self) ExtGuildUIConfig_About_OnClose(); end;
    self.cancel = function(self) ExtGuildUIConfig_About_OnClose(); end;
    self.refresh = function(self) ExtGuildUIConfig_About_OnRefresh(); end;
    InterfaceOptions_AddCategory(self);

    ExtGuildUIConfigAboutTitle:SetText(string.format(L["VERSION_TEXT"], "|cffffffffv" .. EXTGUILDUI_VERSION));
    ExtGuildUIConfigAboutAuthor:SetText(L["LABEL_AUTHOR"] .. ": |cffffffff" .. ABOUT.author);
    ExtGuildUIConfigAboutEmail:SetText(L["LABEL_EMAIL"] .. ": |cffffffff" .. ABOUT.email);
    ExtGuildUIConfigAboutURLs:SetText(L["LABEL_HOSTS"] .. ":");
end

--========================================
-- Refresh
--========================================
function ExtGuildUIConfig_About_OnRefresh()
    if (CONFIG_SHOWN) then return; end

    for i = 1, table.maxn(ABOUT.hosts), 1 do
        local fontString = _G["ExtGuildUIConfigAbout_SiteList" .. i];
        if (not fontString) then
            fontString = ExtGuildUIConfigAbout:CreateFontString("ExtGuildUIConfigAbout_SiteList" .. i, "ARTWORK", "GameFontHighlight");
        end
        fontString:ClearAllPoints();
        fontString:SetPoint("TOPLEFT", ExtGuildUIConfigAbout, "TOPLEFT", 60, -(145 + (i * 20)));
        fontString:SetText(ABOUT.hosts[i]);
    end

    CONFIG_SHOWN = true;
end

--========================================
-- Closing the window
--========================================
function ExtGuildUIConfig_About_OnClose()
    CONFIG_SHOWN = false;
end
